function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Cisco ASR 5000 Series Aggregation Services Router Installation and Administration Guide","");
var B=A.fN("Cisco ASR 5000 Series Aggregation Services Router Installation and Administration Guide","0");
var C=B.fN("Copyright","0#999735");
A=P.fN("About this Guide","1");
B=A.fN("Conventions Used","1#9000006");
B=A.fN("Contacting Customer Support","1#9000073");
A=P.fN("ASR 5000 Hardware Platform Overview","2");
B=A.fN("Chassis Configurations","2#9000004");
B=A.fN("ASR 5000 Chassis Descriptions","2#9000166");
C=B.fN("Slot Numbering","2#9000167");
var D=C.fN("Rear Slot Numbering for Half-Height Line Cards","2#9000237");
D=C.fN("Rear Slot Numbering with Full-height Line Cards","2#9000242");
C=B.fN("Mounting Options","2#9000246");
C=B.fN("Midplane Architecture","2#9000255");
D=C.fN("320 Gbps Switch Fabric","2#9000286");
D=C.fN("32 Gbps Control Bus","2#9000289");
D=C.fN("System Management Bus","2#9000292");
D=C.fN("280 Gbps Redundancy Bus","2#9000295");
D=C.fN("OC-48 TDM Bus","2#9000308");
D=C.fN("SPIO Cross-Connect Bus","2#9000311");
B=A.fN("Power Filter Units","2#9000315");
B=A.fN("Fan Tray Assemblies","2#9000346");
C=B.fN("Lower Fan Tray","2#9000350");
C=B.fN("Air Filter Assembly","2#9000356");
C=B.fN("Upper Fan Tray","2#9000363");
C=B.fN("Chassis Airflow","2#9000369");
B=A.fN("ASR 5000 Application Cards","2#9000372");
C=B.fN("System Management Card","2#9000374");
C=B.fN("SMC RAID Support","2#9000416");
C=B.fN("Packet Processing Cards: PSC, PSC2, and PPC","2#9000445");
D=C.fN("Packet Services Card (PSC) Description","2#9000461");
D=C.fN("Packet Services Card 2 (PSC2) Description","2#9000484");
D=C.fN("Interoperability","2#9000491");
D=C.fN("Redundancy","2#9000496");
D=C.fN("Capacity","2#9000502");
D=C.fN("Power Estimate","2#9000508");
C=B.fN("Packet Processor Card (PPC) Description","2#9000530");
D=C.fN("Redundancy","2#9000536");
D=C.fN("Capacity","2#9000540");
D=C.fN("Power Estimate","2#9000547");
B=A.fN("ASR 5000 Line Cards","2#9000569");
C=B.fN("Switch Processor I/O Card","2#9000571");
D=C.fN("Management LAN Interfaces","2#9000607");
D=C.fN("Console Port","2#9000629");
D=C.fN("BITS Timing","2#9000634");
D=C.fN("Central Office Alarm Interface","2#9000637");
C=B.fN("Redundancy Crossbar Card","2#9000641");
C=B.fN("Ethernet 10/100 Line Card","2#9000663");
C=B.fN("Ethernet 1000 (Gigabit Ethernet) Line Cards","2#9000692");
C=B.fN("Quad Gigabit Ethernet Line Card","2#9000734");
C=B.fN("10 Gigabit Ethernet Line Card","2#9000794");
C=B.fN("Optical Line Cards (OLC and OLC2)","2#9000861");
C=B.fN("Channelized Line Cards (CLC and CLC2)","2#9000943");
D=C.fN("Channelized Line Card (CLC)","2#9000946");
D=C.fN("Channelized Line Card 2 (CLC2)","2#9000950");
D=C.fN("Standards Compliance","2#9001029");
B=A.fN("General Application and Line Card Information","2#9001058");
C=B.fN("Card Interlock Switch","2#9001059");
A=P.fN("Installation Procedure Overview","3");
B=A.fN("Chassis Components","3#9000005");
B=A.fN("Installation at a Glance","3#9000040");
B=A.fN("Required Tools and Equipment","3#9000056");
C=B.fN("Hand Tools","3#9000059");
C=B.fN("Equipment","3#9000068");
B=A.fN("Protecting Against Electro-static Discharge","3#9000079");
B=A.fN("Federal Communications Commission Warning","3#9000087");
C=B.fN("ICS Notice","3#9000095");
C=B.fN("Laser Notice","3#9000099");
A=P.fN("Chassis Installation","4");
B=A.fN("Equipment Rack Configuration","4#9000007");
C=B.fN("Ventilation Considerations","4#9000012");
C=B.fN("Mounting Options","4#9000029");
B=A.fN("Weight Considerations","4#9000035");
B=A.fN("Installing the Chassis","4#9000044");
C=B.fN("Reducing the Weight of the Chassis Prior to Installation","4#9000049");
C=B.fN("Standard Installation of the Chassis","4#9000074");
C=B.fN("Mid-Mount Installation of the Chassis","4#9000083");
C=B.fN("Grounding the Chassis","4#9000096");
C=B.fN("Re-Installing Chassis Sub-components","4#9000126");
A=P.fN("Application Card Installation","5");
B=A.fN("Chassis Slot Numbering and Assignments","5#9000004");
C=B.fN("ASR 5000 Platform","5#9000010");
C=B.fN("Packet Processing Card Redundancy","5#9000035");
C=B.fN("Recommended Minimum Chassis Configuration","5#9000041");
B=A.fN("Installing Application Cards","5#9000071");
A=P.fN("Line Card Installation","6");
B=A.fN("Chassis Slot Numbering and Assignments","6#9000004");
B=A.fN("Line Card Redundancy","6#9000129");
C=B.fN("Side-by-side Redundancy for the XGLC","6#9000137");
D=C.fN("Requirement Summary","6#9000141");
D=C.fN("CLI Commands for XGLC Redundancy","6#9000153");
B=A.fN("Recommended Minimum Chassis Configuration","6#9000161");
B=A.fN("Installing Half-Height Line Cards","6#9000213");
B=A.fN("Installing the 10 Gigabit Ethernet Line Card (XGLC)","6#9000242");
C=B.fN("Installing the XGLC","6#9000250");
A=P.fN("Cabling the Switch Processor Input/Output Line Card","7");
B=A.fN("SPIO Interfaces","7#9000006");
C=B.fN("BNC BITS Interface Version","7#9000012");
C=B.fN("3-Pin BITS Interface Version","7#9000060");
B=A.fN("Connecting to the Management LAN","7#9000108");
C=B.fN("Using the SFP Interfaces","7#9000117");
C=B.fN("Using the RJ-45 Interfaces","7#9000147");
B=A.fN("Connecting to the System\u2019s Console Port","7#9000198");
B=A.fN("Connecting to the CO Alarm Interface","7#9000319");
C=B.fN("Electrical Characteristics","7#9000443");
C=B.fN("Central Office Alarm Wiring Example","7#9000445");
A=P.fN("Cabling the Ethernet 10/100 Line Card","8");
B=A.fN("Ethernet 10/100 Interfaces","8#9000005");
A=P.fN("Cabling the Gigabit Ethernet Line Cards","9");
B=A.fN("Ethernet 1000 Line Card","9#9000006");
B=A.fN("Quad Gigabit Ethernet Line Card","9#9000050");
B=A.fN("RJ45 SFP Module Detail","9#9000095");
B=A.fN("Cabling the Optical SFP Interface","9#9000137");
B=A.fN("10 Gigabit Ethernet Line Card","9#9000142");
B=A.fN("Cabling the Optical SFP Interface","9#9000188");
A=P.fN("Cabling the Optical (ATM) Line Cards","10");
B=A.fN("Optical (ATM) Line Cards Interfaces","10#9000005");
B=A.fN("Cabling the Optical SFP Interface","10#9000052");
A=P.fN("Cabling the Channelized Line Cards","11");
B=A.fN("Channelized Line Card Interfaces","11#9000005");
B=A.fN("Cabling the Optical SFP Interface","11#9000050");
A=P.fN("Cabling the Power Filter Units","12");
B=A.fN("Power Considerations","12#9000005");
C=B.fN("Estimating Power Requirements","12#9000042");
C=B.fN("Power Cable Requirements","12#9000049");
B=A.fN("Connecting the PFU to the Power Source","12#9000099");
A=P.fN("Applying Power and Verifying the Installation","13");
B=A.fN("Understanding the System Boot Process","13#9000011");
B=A.fN("Applying Power to the Chassis","13#9000034");
B=A.fN("Verifying the Installation","13#9000048");
C=B.fN("Checking the LED on the PFU(s)","13#9000054");
C=B.fN("Checking the LEDs on the SMC(s)","13#9000081");
D=C.fN("SMC Run/Fail LED States","13#9000094");
D=C.fN("SMC Active LED States","13#9000123");
D=C.fN("SMC Standby LED States","13#9000148");
D=C.fN("SMC Status LED States","13#9000173");
D=C.fN("SMC Service LED States","13#9000196");
D=C.fN("SMC Busy LED States","13#9000215");
C=B.fN("Checking the LEDs on Packet Processing Cards","13#9000240");
D=C.fN("PSC, PSC2, and PPC Run/Fail LED States","13#9000252");
D=C.fN("PSC, PSC2, and PPC Active LED States","13#9000282");
D=C.fN("PSC, PSC2, and PPC Card Standby LED States","13#9000308");
C=B.fN("Checking the LEDs on the SPIO(s)","13#9000334");
D=C.fN("SPIO Run/Fail LED States","13#9000349");
D=C.fN("SPIO Active LED States","13#9000375");
D=C.fN("SPIO Standby LED States","13#9000394");
D=C.fN("SPIO Interface Link LED States","13#9000414");
D=C.fN("SPIO Interface Activity LED States","13#9000436");
C=B.fN("Checking the LEDs on the Ethernet Line Cards","13#9000455");
D=C.fN("Ethernet Line Card Run/Fail LED States","13#9000471");
D=C.fN("Ethernet Line Card Active LED States","13#9000497");
D=C.fN("Ethernet Line Card Standby LED States","13#9000524");
D=C.fN("Ethernet Line Card Interface Link LED States","13#9000548");
D=C.fN("Ethernet Line Card Activity LED States","13#9000573");
C=B.fN("Checking the Card-Level LEDs on the Optical (ATM) Line Card","13#9000592");
D=C.fN("Optical (ATM) Line Card Run/Fail LED States","13#9000603");
D=C.fN("Optical ATM Line Card Active LED States","13#9000630");
D=C.fN("Standby LED States","13#9000658");
C=B.fN("Checking the Port Status LEDs on the Optical (ATM/POS OC-3) Line Card","13#9000683");
C=B.fN("Card-Level LEDs on the Channelized (STM-1/OC-3) Line Card","13#9000715");
D=C.fN("Channelized Line Card Run/Fail LED States","13#9000726");
D=C.fN("Channelized Line Card Active LED States","13#9000752");
D=C.fN("Channelized Line Card Standby LED States","13#9000780");
C=B.fN("Checking the Port Status LEDs on the Channelized Line Card","13#9000805");
C=B.fN("Checking the LEDs on the DS3/E and DS3/T Line Cards","13#9000837");
D=C.fN("DS3/E and DS3/T Run/Fail LED States","13#9000848");
D=C.fN("DS3/E and DS3/T Active LED States","13#9000875");
D=C.fN("DS3/E and DS3/T Standby LED States","13#9000903");
C=B.fN("Checking the LEDs on the RCC(s)","13#9000928");
D=C.fN("RCC Run/Fail LED States","13#9000939");
D=C.fN("RCC Active LED States","13#9000965");
D=C.fN("RCC Standby LED States","13#9000986");
A=P.fN("Monitoring Hardware Status","14");
B=A.fN("SNMP Notifications","14#9000006");
B=A.fN("Monitoring Hardware Status","14#9000012");
C=B.fN("Overview","14#9000016");
C=B.fN("Chassis Access and Command Line Interface","14#9000020");
C=B.fN("Password and Credential Updates","14#9000033");
C=B.fN("System Time","14#9000037");
C=B.fN("Flash File System","14#9000041");
C=B.fN("Logs and SNMP Traps","14#9000048");
C=B.fN("SNMP Traps","14#9000052");
C=B.fN("System Logging","14#9000060");
C=B.fN("Full Core and Mini-core Dumps","14#9000072");
C=B.fN("Alerts and Alarms","14#9000080");
C=B.fN("Counters, Hardware Health Check, Status, and Bulkstats","14#9000088");
C=B.fN("Licensing and IP Pool Utilization","14#9000142");
C=B.fN("Software Upgrades","14#9000148");
C=B.fN("Quick Reference","14#9000153");
D=C.fN("Constant Attention","14#9000164");
D=C.fN("Daily","14#9000169");
D=C.fN("Weekly","14#9000174");
D=C.fN("Monthly","14#9000177");
D=C.fN("6 Months","14#9000183");
D=C.fN("No Specific Time Frame","14#9000186");
A=P.fN("Adding Application and Line Cards to an Existing Installation","15");
B=A.fN("Chassis Slot Numbering and Assignments","15#9000006");
B=A.fN("Adding Application Cards","15#9000018");
B=A.fN("Adding Half-Height Line Cards","15#9000051");
B=A.fN("Adding the 10 Gigabit Ethernet Line Card","15#9000100");
C=B.fN("Installing the XGLC","15#9000109");
A=P.fN("Removing/Installing SMC PC Cards","16");
B=A.fN("Installing Flash Memory PC Cards","16#9000012");
B=A.fN("Removing Flash Memory PC Cards","16#9000033");
A=P.fN("Replacing the Chassis' Air Filter","17");
B=A.fN("Determining When an Air Filter Needs Replacing","17#9000007");
B=A.fN("Removing the Old Air Filter","17#9000044");
B=A.fN("Installing the New Air Filter","17#9000056");
A=P.fN("Replacing the Chassis' Power Filter Units","18");
B=A.fN("Determining that a PFU has Failed","18#9000008");
B=A.fN("Removing the Failed PFU","18#9000020");
B=A.fN("Installing the Replacement PFU","18#9000044");
B=A.fN("What to do with the Failed PFU","18#9000071");
A=P.fN("Replacing Upper or Lower Fan Tray","19");
B=A.fN("Determining Whether a Fan Tray Needs Replacing","19#9000009");
C=B.fN("Using the CLI","19#9000013");
C=B.fN("Using SNMP Traps and MIB Objects","19#9000020");
B=A.fN("Removing an Upper Fan Tray that has Failed","19#9000060");
B=A.fN("Installing a Replacement Upper Fan Tray","19#9000076");
B=A.fN("Removing a Lower Fan Tray Assembly that has Failed","19#9000084");
B=A.fN("Installing a Replacement Lower Fan Tray Assembly","19#9000101");
B=A.fN("What to do with the Failed Fan Tray","19#9000113");
A=P.fN("Replacing Application Cards","20");
B=A.fN("Determining Whether an Application Card has Failed","20#9000006");
C=B.fN("Using the CLI","20#9000010");
C=B.fN("Using SNMP Traps","20#9000050");
B=A.fN("Removing the Failed Application Card","20#9000089");
B=A.fN("Installing the Replacement Application Card","20#9000105");
B=A.fN("Removing and Replacing the CompactFlash Memory Card","20#9000116");
C=B.fN("Removing and Replacing the CompactFlash on an SMC","20#9000124");
B=A.fN("What to do with the Failed Application Card","20#9000135");
A=P.fN("Replacing Line Cards","21");
B=A.fN("Determining Whether a Line Card has Failed","21#9000006");
C=B.fN("Using the CLI","21#9000010");
C=B.fN("Using SNMP Traps","21#9000040");
B=A.fN("Removing the Failed Line Card","21#9000063");
B=A.fN("Installing the Replacement Line Card","21#9000077");
B=A.fN("What to do with the Failed Line Card","21#9000110");
A=P.fN("Technical Specifications","22");
B=A.fN("Physical Dimensions","22#9000003");
C=B.fN("Chassis","22#9000006");
C=B.fN("Application Cards","22#9000019");
C=B.fN("Line Cards","22#9000041");
C=B.fN("Fan Tray Assemblies","22#9000053");
D=C.fN("Lower Fan Tray","22#9000054");
D=C.fN("Upper Fan Tray","22#9000066");
C=B.fN("Power Filter Unit","22#9000078");
C=B.fN("Weight Specifications","22#9000090");
B=A.fN("Power Specifications","22#9000152");
C=B.fN("Estimating Power Requirements","22#9000189");
B=A.fN("Mounting Requirements","22#9000196");
B=A.fN("Interface Specifications","22#9000205");
C=B.fN("SPIO Card Interfaces","22#9000209");
D=C.fN("Console Port Interface","22#9000212");
var E=D.fN("Console Cable Specifications","22#9000257");
D=C.fN("Fiber SFP Interface","22#9000358");
D=C.fN("10/100/1000 Mbps RJ-45 Interface","22#9000381");
D=C.fN("Central Office Alarm Interface","22#9000434");
E=D.fN("Electrical Characteristics","22#9000547");
E=D.fN("Central Office Alarm Wiring Example","22#9000550");
D=C.fN("BITS Timing Interface","22#9000558");
E=D.fN("BITS BNC Timing Interface","22#9000562");
E=D.fN("BITS 3-Pin Timing Interface","22#9000568");
C=B.fN("Ethernet 10/100 Line Card Interfaces","22#9000574");
D=C.fN("10/100 Mbps RJ-45 Interface","22#9000577");
C=B.fN("Ethernet 1000 Line Card/Quad Gigabit Ethernet Line Card (QGLC) SFPs","22#9000621");
D=C.fN("QGLC/1000Base-SX","22#9000622");
D=C.fN("QGLC/1000Base-LX Interface","22#9000645");
D=C.fN("RJ-45 SFP Interface","22#9000668");
C=B.fN("10 Gigabit Ethernet Line Card (XGLC) SFP+","22#9000705");
D=C.fN("XGLC 10GBase-SR","22#9000706");
D=C.fN("XGLC 10 Base-LR Interface","22#9000729");
C=B.fN("Fiber ATM/POS OC-3 (OLC and OLC2) Multi-Mode Interface","22#9000752");
D=C.fN("Fiber ATM/POS OC-3 SM IR-1 Interface","22#9000753");
C=B.fN("Channelized Line Cards","22#9000796");
D=C.fN("Channelized Line Cards with Single-mode Interface","22#9000797");
D=C.fN("Channelized Line Cards (CLC and CLC2) with Multi-Mode Interface","22#9000820");
A=P.fN("Safety, Electrical, and Environmental\u00a0Certifications","23");
B=A.fN("Federal Communications Commission Warning","23#9000003");
C=B.fN("ICS Notice","23#9000010");
C=B.fN("Laser Notice","23#9000015");
B=A.fN("Safety Certifications","23#9000018");
B=A.fN("Electrical Certifications","23#9000024");
B=A.fN("Environmental Certifications","23#9000035");
A=P.fN("Environmental Specifications","24");
B=A.fN("Environmental Information","24#9000006");
C=B.fN("Storage Temperature and Humidity","24#9000009");
C=B.fN("Operating Temperature and Humidity","24#9000019");
C=B.fN("Altitude Operations","24#9000029");
C=B.fN("Supported Environmental Standards","24#9000039");
C=B.fN("Chassis Air Flow","24#9000052");
A=P.fN("Appendix A RoHS Compliance Statement","25");
B=A.fN("Chassis","25#9000003");
B=A.fN("Fan Assembly","25#9000007");
B=A.fN("Power Filter Unit (PFU)","25#9000012");
B=A.fN("Full Product","25#9000016");
}
